I'm trying to modify a routine to allow the user to enter an 'x' distance and then prompt for a 'y' distance. If the user presses enter for the 'y' distance, the 'x' value is used. It isn't working for me.. Any suggestions or guidance? Here's what I have so far. (it may be a little convoluted but c'est la vie) (defun C:RCC () (setq ptc (GETPOINT " Pick Center Of Rectangle : ") wide (getdist " Enter Rectangle X Dimension ? :") (if (= wide nil)(exit)) high (getdist (strcat " Enter Rectangle Y Dimension ?<" (rtos wide 2 0) "> :")) ; this is where I get the error 'numberp nil' (if (= high nil)(setq high wide)) hwide (/ wide 2.0) hhigh (/ high 2.0) ptll (list (- (car ptc) hwide) (- (cadr ptc) hhigh)) ptur (list (+ (car ptll) wide) (+ (cadr ptll) high)) ) (setvar "plinewid" 0.0) (setq osm (getvar "OSMODE")) (setvar "OSMODE" 0) (command ".PLINE" ptll "W" "0" "0" ".X" ptur ".Y" ptll ptur ".X" ptll ".Y" ptur "C") (setvar "OSMODE" osm) )